org.modeshape.jcr.cache.change

## Interface ChangeSet

- All Superinterfaces:
    Iterable<Change>, Serializable
  All Known Implementing Classes:
    RecordingChanges

      public interface ChangeSet
      extends Iterable<Change>, Serializable

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<NodeKey>` | `changedNodes()`
    `String` | `getProcessKey()` Get the key of the process in which the changes were made.
    `String` | `getRepositoryKey()` Get the key of the repository in which the changes were made.
    `DateTime` | `getTimestamp()`
    `Map<String,String>` | `getUserData()`
    `String` | `getUserId()`
    `String` | `getWorkspaceName()` Get the name of the workspace in which the changes were made.
    `boolean` | `isEmpty()`
    `int` | `size()` Return the number of individual changes.

    - ### Methods inherited from interface java.lang.Iterable

      `iterator`

- - ### Method Detail

    - #### size

          int size()

      Return the number of individual changes.
      Returns:
        the number of changes

    - #### isEmpty

          boolean isEmpty()

    - #### getUserId

          String getUserId()

    - #### getUserData

          Map<String,String> getUserData()

    - #### getTimestamp

          DateTime getTimestamp()

    - #### getProcessKey

          String getProcessKey()

      Get the key of the process in which the changes were made.
      Returns:
        the process key; never null

    - #### getRepositoryKey

          String getRepositoryKey()

      Get the key of the repository in which the changes were made.
      Returns:
        the repository key; never null

    - #### getWorkspaceName

          String getWorkspaceName()

      Get the name of the workspace in which the changes were made.
      Returns:
        the workspace name; may be null only when workspaces are added or removed

    - #### changedNodes

          Set<NodeKey> changedNodes()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.